Subject: bug#33275: 27.0.50; Image cache pruning

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 05 Nov 2018 20:13:27 +0100

Eli Zaretskii <[email-masked]> writes:

> We still could use the memory limit calculated by get_lim_data in
> strategic places, like cache_image, to catch situations where the
> cache size exceeds some fraction of what ret_lim_data returns.  Would
> that work?

If I understand you correctly, you seem to favour introducing code that
will break code that's working today (if you insert an image into a
buffer today in a memory-pressure situation, that won't signal an error
today) instead of tweaking a non-documented ad-hoc caching strategy (by
taking the image cache size into consideration), or fixing the caching
(by using weak hash tables), and I'm not quite sure why.

`image-size' didn't use to cache images, but was introduced as an
optimisation.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no